Associated revisions
Revision 152aa22e - 03/01/2013 07:20 AM - J. Moringen

Fixed example in example-projects/..java/../Runner.java

refs #1446

    -  example-projects/..java/../Runner.java (parseArguments): renamed
  parserArguments -> parseArguments
  (main): actually call parseArguments

Revision 8183dc72 - 03/01/2013 07:36 AM - J. Moringen

Fixed and improved build-system-java.rst

refs #1446

    -  build-system-java.rst (How to Build and Use the Project): removed
  CMake-specific link to http://www.semipol.de/archives/140; fixed
  copy-paste error path/to/build-system-essentials-{cpp -> java};
  added "ant dist"; slightly improved formatting and descriptions

History
#1 - 02/28/2013 03:01 PM - C. Dreyer

Ganz unten auf dieser Seite:

http://docs.cor-lab.de/build%20system%20essentials-tutorial/trunk/html/build-system-java.html

in "How to build and use the Project" it says

cd path/to/build-system-essentials-cpp

it should be:

cd path/to/build-system-essentials-java
http://www.semipol.de/archives/140;


#2 - 02/28/2013 03:23 PM - C. Dreyer

Following the instructions , running ant leads to:

Unable to locate tools.jar. Expected to find it in /usr/lib/jvm/java-7-openjdk-i386/lib/tools.jar
Buildfile: /home/christoph/code/build-system-essentials-java/build.xml

BUILD FAILED
/home/christoph/code/build-system-essentials-java/build.xml:39: Google Protocol Buffers library not found at '/usr/share/java/protobuf-java.jar'.
Please set protobuf.lib.

Total time: 1 second
christoph@virtual-lubuntu:~/code/build-system-essentials-java$ ant
Buildfile: /home/christoph/code/build-system-essentials-java/build.xml

BUILD FAILED
/home/christoph/code/build-system-essentials-java/build.xml:39: Google Protocol Buffers library not found at '/usr/share/java/protobuf-java.jar'.
Please set protobuf.lib.

Total time: 0 seconds

#3 - 02/28/2013 03:43 PM - J. Wienke

protobuf java is not installed on the computer. We cannot explain the installation for every single operating system etc. in this tutorial.

#4 - 02/28/2013 03:53 PM - C. Dreyer

I installed the openjdk-7 and

in build.xml I changed the following:

<property name="protobuf.lib" location="/usr/share/java/protobuf-java.jar" />
<property name="rsb.lib" location="/usr/share/java/rsb.jar" />

to:

<property name="protobuf.lib" location="/usr/share/java/protobuf-java-2.4.1.jar" />
<property name="rsb.lib" location="/usr/share/java/rsb-0.9.0.jar" />

now it builds successfully.

#5 - 02/28/2013 03:54 PM - J. Wienke
/usr/share/java/protobuf-java.jar should also be available if you used the ubuntu package.

#6 - 02/28/2013 03:55 PM - C. Dreyer

ant install

only works as root!

#7 - 02/28/2013 04:03 PM - C. Dreyer

in the example code the parseArguments() is not called.

#8 - 02/28/2013 04:05 PM - C. Dreyer

It would be helpful if the tutorial ended with a running program. Even If some additional steps are necessary that are not part of build essentials. like
"ant dist" and how to actually execute the example.

#9 - 03/01/2013 07:06 AM - J. Moringen

@Christoph: The "build system essentials" tutorial is part of project:tutorials. Can I moved this issue into that project?

#10 - 03/01/2013 07:19 AM - J. Moringen
- Status changed from New to In Progress

#11 - 03/01/2013 07:43 AM - J. Moringen
- % Done changed from 0 to 50

#12 - 03/01/2013 08:29 AM - C. Dreyer

@ Jan: Yes, of course! Move it.

#13 - 03/01/2013 09:05 AM - J. Moringen
- Project changed from Robotics Service Bus to CoR-Lab Tutorials

#14 - 03/26/2015 05:12 PM - J. Moringen
- Status changed from In Progress to Closed

I'm pretty sure the reported problems that have no yet been addressed no longer apply to the current situation. Reopen if this is not true.
